## kdeclarative 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KDeclarative)

# Dependencies
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION "5.3.0")
set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick Gui)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Package ${KF5_DEP_VERSION} REQUIRED)

#########################################################################

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

#add_definitions(-Wno-deprecated)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)



# Includes

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)

option(BUILD_EXAMPLES "Build and install examples." OFF)

# ECM setup
ecm_setup_version(
  ${KF5_VERSION}
  VARIABLE_PREFIX KDECLARATIVE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfigVersion.cmake"
  SOVERSION 5)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

if (NOT WIN32)
find_package(epoxy)
set_package_properties(epoxy PROPERTIES DESCRIPTION "libepoxy"
                       URL "http://github.com/anholt/libepoxy"
                       TYPE REQUIRED
                       PURPOSE "OpenGL dispatch library"
                      )
endif()

add_subdirectory(autotests)
add_subdirectory(src)
if(KF5Config_FOUND AND KF5I18n_FOUND AND KF5IconThemes_FOUND AND KF5KIO_FOUND)
    add_subdirectory(tests)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Declarative")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5DeclarativeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5DeclarativeTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5DeclarativeTargets.cmake
  NAMESPACE KF5::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
  COMPONENT Devel
)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

if(KF5Config_FOUND AND KF5I18n_FOUND AND KF5IconThemes_FOUND AND KF5KIO_FOUND)
  message("Dependencies for libkdeclarative found: it will be built")
else()
  message("In order to build libkdeclarative you need KF5Config, KF5I18n, KF5IconThemes and KF5KIO")
endif()

if(KF5I18n_FOUND AND KF5WidgetsAddons_FOUND AND KF5WindowSystem_FOUND AND KF5GlobalAccel_FOUND AND KF5KIO_FOUND AND KF5GuiAddons_FOUND)
  message("Dependencies for KQuickControls found: it will be built")
else()
  message("In order to build KQuickControls you need KF5I18n, KF5WidgetsAddons, KF5WindowSystem, KF5GlobalAccel, KF5KIO and KF5GuiAddons")
endif()

if(KF5CoreAddons_FOUND)
  message("Dependencies for KCoreAddons QML bindings found; it will be built")
else()
  message("In order to build KCoreAddons QML bindings you need KCoreAddons")
endif()

=== src/kpackagelauncherqml/CMakeLists.txt ===


set(kpackagelauncherqml_SRCS
    main.cpp
)

add_executable(kpackagelauncherqml ${kpackagelauncherqml_SRCS})

#find_package(ActiveApp REQUIRED)

target_link_libraries(kpackagelauncherqml
 Qt5::Gui
 Qt5::Quick
 Qt5::Widgets #needs a qapplication for the Desktop QtControlsStyle
 KF5::Declarative
 KF5::I18n
 KF5::Package
 KF5::QuickAddons
)

install(TARGETS kpackagelauncherqml ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/quickaddons/CMakeLists.txt ===
add_library(KF5QuickAddons
            imagetexturescache.cpp
            managedtexturenode.cpp
            quickviewsharedengine.cpp
            configmodule.cpp)
generate_export_header(KF5QuickAddons EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/quickaddons_export.h BASE_NAME QuickAddons)
add_library(KF5::QuickAddons ALIAS KF5QuickAddons)

# Apps must include <QuickAddons/File> or <quickaddons/file.h>
target_include_directories(KF5QuickAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KDeclarative>")

target_link_libraries(KF5QuickAddons
  PUBLIC
    Qt5::Qml
    KF5::CoreAddons
  PRIVATE
    Qt5::Quick  #QQuickImageProvider
    KF5::ConfigCore # KCoreConfigSkeleton, in ConfigPropertyMap
    KF5::I18n       #i18n bindings
    KF5::KIOWidgets     #KIO::AccessManager
    KF5::IconThemes #KIconProvider
    KF5::Declarative #QmlObject
)

set_target_properties(KF5QuickAddons
  PROPERTIES VERSION ${KDECLARATIVE_VERSION_STRING}
  SOVERSION ${KDECLARATIVE_SOVERSION}
  EXPORT_NAME QuickAddons
)

# Install files
#those are deprecated, offered just for compatibility
ecm_generate_headers(QuickAddons_CamelCase_HEADERS
  HEADER_NAMES
  ImageTexturesCache
  ManagedTextureNode

  PREFIX QuickAddons
  REQUIRED_HEADERS QuickAddons_HEADERS
)
install(FILES ${QuickAddons_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDeclarative/QuickAddons COMPONENT Devel)

# Install files
ecm_generate_headers(KQuickAddons_CamelCase_HEADERS
  HEADER_NAMES
  ImageTexturesCache
  ManagedTextureNode
  ConfigModule
  QuickViewSharedEngine

  PREFIX KQuickAddons
  REQUIRED_HEADERS KQuickAddons_HEADERS
)
install(FILES ${KQuickAddons_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDeclarative/KQuickAddons COMPONENT Devel)

install(TARGETS KF5QuickAddons
  EXPORT KF5DeclarativeTargets
  ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/quickaddons_export.h
  ${QuickAddons_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDeclarative/quickaddons
  COMPONENT Devel
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/quickaddons_export.h
  ${KQuickAddons_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDeclarative/kquickaddons
  COMPONENT Devel
)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME QuickAddons LIB_NAME KF5QuickAddons DEPS "qml" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/QuickAddons)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/qmlcontrols/kwindowsystemplugin/CMakeLists.txt ===
project(kwindowsystemplugin)

set(kwindowsystemplugin_SRCS
    kwindowsystemplugin.cpp
    kwindowsystemproxy.cpp
    )

add_library(kwindowsystem SHARED ${kwindowsystemplugin_SRCS})
target_link_libraries(kwindowsystem
        Qt5::Core
        Qt5::Qml
        KF5::WindowSystem
)

install(TARGETS kwindowsystem DESTINATION ${QML_INSTALL_DIR}/org/kde/kwindowsystem)

install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/kwindowsystem)

## kdeclarative 5.3.0

=== debian/changelog ===
kdeclarative (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:12:58 +0100

kdeclarative (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Scarlett Clark ]
  * Update install paths for all qml packages. 
  * Add new qml package for kio
  * Revert to original install paths. Upstream Review:120229

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:43:32 +0200

kdeclarative (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:13:34 +0200

kdeclarative (5.0.0-0ubuntu2) utopic; urgency=medium

  * Add implicit depends on qml modules from libkf5declarative5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jul 2014 17:57:46 +0200

kdeclarative (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 22 Jul 2014 15:38:08 +0200

=== debian/control ===
Source: kdeclarative
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kio-dev (>= 5.3.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtdeclarative5-dev,
               qtscript5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdeclarative.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdeclarative.git

Package: libkf5declarative-dev
Section: libdevel
Architecture: any
Depends: kio-dev,
         libkf5declarative5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 Contains development files for kdeclarative.

Package: libkf5declarative5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libkf5declarative-data (= ${source:Version})
Multi-Arch: same
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.

Package: libkf5declarative-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the translation files.

Package: qtdeclarative5-kf5declarative
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, qml-module-org-kde-draganddrop,
 qml-module-org-kde-kcoreaddons, qml-module-org-kde-kquickcontrols,
 qml-module-org-kde-kquickcontrolsaddons
Section: oldlibs
Priority: extra
Description: transitional package for qtdeclarative5-kf5declarative
 This is a transitional dummy package for qml-module-serviceframework
 which can be safely removed.

Package: qml-module-org-kde-draganddrop
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libkf5declarative5 (>= ${source:Version})
Breaks: qtdeclarative5-kf5declarative-5.0, qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1)
Replaces: qtdeclarative5-kf5declarative-5.0, qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1)
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml-module-org-kde-kcoreaddons
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libkf5declarative5 (>= ${source:Version})
Breaks: qtdeclarative5-kf5declarative-5.0, qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1)
Replaces: qtdeclarative5-kf5declarative-5.0, qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1)
Description: provides integration of QML and KDE frameworks - kcoreaddons
 Provides access from QML to libkf5coreaddons classes.

Package: qml-module-org-kde-kquickcontrols
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libkf5declarative5 (>= ${source:Version})
Breaks: qtdeclarative5-kf5declarative-5.0, qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1)
Replaces: qtdeclarative5-kf5declarative-5.0, qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1)
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libkf5declarative5 (>= ${source:Version})
Breaks: qtdeclarative5-kf5declarative-5.0, qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1)
Replaces: qtdeclarative5-kf5declarative-5.0, qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1)
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.
 
Package: qml-module-org-kde-kio
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libkf5declarative5 (>= ${source:Version})
Breaks: qtdeclarative5-kf5declarative-5.0, qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1)
Replaces: qtdeclarative5-kf5declarative-5.0, qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1)
Description: provides integration of QML and KDE Frameworks - kio
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: libkf5declarative5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kdeclarative
 Framework providing integration of QML and other KDE frameworks such as making
 i18n available and using kio.
 .
 Contains debug symbols for kdeclarative.

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kdeclarative-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kdeclarative-(.*)\.tar\.xz

## kdeclarative 5.9.0

=== debian/changelog ===
kdeclarative (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:26:36 +0200

kdeclarative (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:36:18 +0100

kdeclarative (5.7.0-0ubuntu3) vivid; urgency=medium

  * Refine kubuntu_fix_epoxy_vs_qopengl.diff to prevent Qt from
    doing a second typedef on GLdouble

 -- Harald Sitter <sitter@kde.org>  Fri, 13 Feb 2015 16:49:06 +0100

kdeclarative (5.7.0-0ubuntu2) vivid; urgency=medium

  * Add kubuntu_fix_epoxy_vs_qopengl.diff in an attempt to fix
    armhf builds failing from conflicting typedefs between epoxy
    and qopengl

 -- Harald Sitter <sitter@kde.org>  Fri, 13 Feb 2015 16:11:45 +0100

kdeclarative (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:48:37 +0100

kdeclarative (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:09:25 +0100

kdeclarative (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:19:18 +0100

kdeclarative (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:03:22 +0100

=== debian/control ===
Source: kdeclarative
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.8.0),
               kio-dev (>= 5.9.0),
               libepoxy-dev,
               libkf5auth-dev (>= 5.9.0),
               libkf5bookmarks-dev (>= 5.9.0),
               libkf5codecs-dev (>= 5.9.0),
               libkf5completion-dev (>= 5.9.0),
               libkf5config-dev (>= 5.9.0),
               libkf5configwidgets-dev (>= 5.9.0),
               libkf5coreaddons-dev (>= 5.9.0),
               libkf5dbusaddons-dev (>= 5.9.0),
               libkf5globalaccel-dev (>= 5.9.0),
               libkf5guiaddons-dev (>= 5.9.0),
               libkf5i18n-dev (>= 5.9.0),
               libkf5iconthemes-dev (>= 5.9.0),
               libkf5itemviews-dev (>= 5.9.0),
               libkf5jobwidgets-dev (>= 5.9.0),
               libkf5kjs-dev (>= 5.9.0),
               libkf5package-dev (>= 5.9.0),
               libkf5service-dev (>= 5.9.0),
               libkf5solid-dev (>= 5.9.0),
               libkf5sonnet-dev (>= 5.9.0),
               libkf5textwidgets-dev (>= 5.9.0),
               libkf5widgetsaddons-dev (>= 5.9.0),
               libkf5windowsystem-dev (>= 5.9.0),
               libkf5xmlgui-dev (>= 5.9.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtdeclarative5-dev,
               qtscript5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdeclarative.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdeclarative.git

Package: kpackagelauncherqml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: commandline tool for launching kpackage QML application
 A small commandline tool to launch KPackages (QML applications).

Package: libkf5declarative-dev
Section: libdevel
Architecture: any
Depends: kio-dev,
         libkf5config-dev (>= 5.9.0),
         libkf5declarative5 (= ${binary:Version}),
         libkf5package-dev (>= 5.9.0),
         libkf5quickaddons5 (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends}
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 Contains development files for kdeclarative.

Package: libkf5declarative5
Architecture: any
Depends: libkf5declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kpackagelauncherqml
Multi-Arch: same
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.

Package: libkf5declarative-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the translation files.

Package: qtdeclarative5-kf5declarative
Architecture: all
Depends: qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends}
Section: oldlibs
Priority: extra
Description: transitional package for qtdeclarative5-kf5declarative
 This is a transitional dummy package for qml-module-serviceframework
 which can be safely removed.

Package: qml-module-org-kde-draganddrop
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml-module-org-kde-kcoreaddons
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0
Description: provides integration of QML and KDE frameworks - kcoreaddons
 Provides access from QML to libkf5coreaddons classes.

Package: qml-module-org-kde-kwindowsystem
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks - kwindowsystem
 Provides access from QML to libkf5windowsystem classes.

Package: qml-module-org-kde-kquickcontrols
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kio
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0
Description: provides integration of QML and KDE Frameworks - kio
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: libkf5declarative5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kdeclarative
 Framework providing integration of QML and other KDE frameworks such as making
 i18n available and using kio.
 .
 Contains debug symbols for kdeclarative.

Package: libkf5quickaddons5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: provides integration of QML and KDE frameworks
 Framework providing optimized image texture caching.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5declarative5-dbg

.PHONY: override_dh_auto_test

## kdeclarative 5.15.0

=== debian/changelog ===
kdeclarative (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:45:49 +0100

kdeclarative (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:12:28 +0100

kdeclarative (5.13.0-0ubuntu4) wily; urgency=medium

  * Add qml-module-qtquick2 to test-deps as one of our tests requires QtQuick.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Aug 2015 17:19:04 +0100

kdeclarative (5.13.0-0ubuntu3) wily; urgency=medium

  * Oh noes, I typoed "c++11", sorry.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Aug 2015 14:58:05 +0100

kdeclarative (5.13.0-0ubuntu2) wily; urgency=medium

  * acc test: Pass -std=c++11 to avoid failure relating to std::unique_ptr.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Aug 2015 13:10:06 +0100

kdeclarative (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:55:27 +0200

kdeclarative (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge, remove unused broken backport.

  [ José Manuel Santamaría Lema ]
  * Update symbols file:
    - Mark as optional the symbols gone after building with GCC 5
    - Add new symbols, mark as optional those sho doesn't show up
      after rebuilding with GCC 4

  [ Scarlett Clark ]
  * Vivid backport 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:27:13 +0200

kdeclarative (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 10:13:38 +0200

kdeclarative (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:02:52 +0200

kdeclarative (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:25 +0200

kdeclarative (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Remove upstream applied patch: kubuntu_fix_epoxy_vs_qopengl.diff
  * Update symbols files.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:54 +0100

kdeclarative (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:48 +0100

kdeclarative (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add acc autopkgtests.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Update symbols files.
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Jan 2015 14:13:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,39 +3,25 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               kio-dev (>= 5.9.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               kio-dev (>= 5.15.0~),
                libepoxy-dev,
-               libkf5auth-dev (>= 5.9.0),
-               libkf5bookmarks-dev (>= 5.9.0),
-               libkf5codecs-dev (>= 5.9.0),
-               libkf5completion-dev (>= 5.9.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5configwidgets-dev (>= 5.9.0),
-               libkf5coreaddons-dev (>= 5.9.0),
-               libkf5dbusaddons-dev (>= 5.9.0),
-               libkf5globalaccel-dev (>= 5.9.0),
-               libkf5guiaddons-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5iconthemes-dev (>= 5.9.0),
-               libkf5itemviews-dev (>= 5.9.0),
-               libkf5jobwidgets-dev (>= 5.9.0),
-               libkf5kjs-dev (>= 5.9.0),
-               libkf5package-dev (>= 5.9.0),
-               libkf5service-dev (>= 5.9.0),
-               libkf5solid-dev (>= 5.9.0),
-               libkf5sonnet-dev (>= 5.9.0),
-               libkf5textwidgets-dev (>= 5.9.0),
-               libkf5widgetsaddons-dev (>= 5.9.0),
-               libkf5windowsystem-dev (>= 5.9.0),
-               libkf5xmlgui-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.15.0~),
+               libkf5globalaccel-dev (>= 5.15.0~),
+               libkf5guiaddons-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.15.0~),
+               libkf5iconthemes-dev (>= 5.15.0~),
+               libkf5itemviews-dev (>= 5.15.0~),
+               libkf5package-dev (>= 5.15.0~),
+               libkf5widgetsaddons-dev (>= 5.15.0~),
+               libkf5windowsystem-dev (>= 5.15.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qtscript5-dev
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4),
+               qtscript5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
 XS-Testsuite: autopkgtest
@@ -51,13 +37,12 @@
 Package: libkf5declarative-dev
 Section: libdevel
 Architecture: any
-Depends: kio-dev,
-         libkf5config-dev (>= 5.9.0),
+Depends: kio-dev (>= 5.15.0~),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5package-dev (>= 5.9.0),
+         libkf5package-dev (>= 5.15.0~),
          libkf5quickaddons5 (= ${binary:Version}),
-         qtbase5-dev,
-         qtdeclarative5-dev,
+         qtbase5-dev (>= 5.4),
+         qtdeclarative5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for kdeclarative
  Framework providing integration of QML and other KDE frameworks such
@@ -140,6 +125,7 @@
 Multi-arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          qml-module-qtquick-controls,
+         qml-module-qtquick-dialogs,
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         qml-module-qtquick2
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## kdeclarative 5.18.0

=== debian/changelog ===
kdeclarative (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release
  * Add a new symbol to libkf5quickaddons5.symbols 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:19:35 +0100

kdeclarative (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:48 +0100

kdeclarative (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:04 +0200

kdeclarative (5.15.0-0ubuntu3) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Jonathan Riddell ]
  * Add libkf5calendarevents5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Nov 2015 15:43:36 +0000

kdeclarative (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:35 +0100

kdeclarative (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:17 +0200

kdeclarative (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 00:17:24 +0200

kdeclarative (5.12.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files for armel differences

 -- Scott Kitterman <scott@kitterman.com>  Thu, 16 Jul 2015 22:54:39 -0400

kdeclarative (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update install files.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.15.0~),
-               libkf5globalaccel-dev (>= 5.15.0~),
-               libkf5guiaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5itemviews-dev (>= 5.15.0~),
-               libkf5package-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
-               libkf5windowsystem-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5globalaccel-dev (>= 5.18.0~),
+               libkf5guiaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5itemviews-dev (>= 5.18.0~),
+               libkf5package-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
@@ -24,7 +24,6 @@
                qtscript5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
-XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdeclarative.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdeclarative.git
 
@@ -37,9 +36,10 @@
 Package: libkf5declarative-dev
 Section: libdevel
 Architecture: any
-Depends: kio-dev (>= 5.15.0~),
+Depends: kio-dev (>= 5.16.0~),
+         libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5package-dev (>= 5.15.0~),
+         libkf5package-dev (>= 5.16.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          qtdeclarative5-dev (>= 5.4),
@@ -188,3 +188,11 @@
 Multi-Arch: same
 Description: provides integration of QML and KDE frameworks
  Framework providing optimized image texture caching.
+
+Package: libkf5calendarevents5
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: provides integration of QML and KDE frameworks
+ Framework providing integration of QML and other KDE frameworks such
+ as making i18n available and using kio.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,6 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5declarative5-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         qml-module-qtquick2
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kdeclarative-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kdeclarative-([\d.]+)\.tar\.xz

## kdeclarative 5.26.0

=== debian/changelog ===
kdeclarative (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:01:52 +0200

kdeclarative (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:48:58 +0200

kdeclarative (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Force building against qt 5.6

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 17:54:09 +0200

kdeclarative (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop qt5-qmltooling-plugins build dependency
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 11:54:32 +0200

kdeclarative (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * (Experimental specific) Add qt5-qmltooling-plugins as a build-dep,
    missing dependency of qtdeclarative5-dev

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:15:59 +0100

kdeclarative (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * Add new calendar events lib.
  * New upstream release (5.18.0).
  * Update symbols files.

  [ Dmitry Shachnev ]
  * Fix description of qtdeclarative5-kf5declarative transitional package.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               kio-dev (>= 5.26.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.18.0~),
-               libkf5globalaccel-dev (>= 5.18.0~),
-               libkf5guiaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5itemviews-dev (>= 5.18.0~),
-               libkf5package-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
-               libkf5windowsystem-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.26.0~),
+               libkf5globalaccel-dev (>= 5.26.0~),
+               libkf5guiaddons-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5iconthemes-dev (>= 5.26.0~),
+               libkf5itemviews-dev (>= 5.7.0),
+               libkf5package-dev (>= 5.26.0~),
+               libkf5widgetsaddons-dev (>= 5.26.0~),
+               libkf5windowsystem-dev (>= 5.26.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.6.0~),
+               qtdeclarative5-dev (>= 5.6.0~),
+               qtscript5-dev (>= 5.6)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdeclarative.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdeclarative.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kdeclarative.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kdeclarative.git
 
 Package: kpackagelauncherqml
 Architecture: any
@@ -36,13 +36,13 @@
 Package: libkf5declarative-dev
 Section: libdevel
 Architecture: any
-Depends: kio-dev (>= 5.16.0~),
+Depends: kio-dev (>= 5.26.0~),
          libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5package-dev (>= 5.16.0~),
+         libkf5package-dev (>= 5.26.0~),
          libkf5quickaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
-         qtdeclarative5-dev (>= 5.4),
+         qtbase5-dev (>= 5.6.0~),
+         qtdeclarative5-dev (>= 5.6.0~),
          ${misc:Depends}
 Description: development files for kdeclarative
  Framework providing integration of QML and other KDE frameworks such
@@ -60,6 +60,9 @@
 Description: provides integration of QML and KDE frameworks
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
+Breaks: libkf5plasma5 (<< 5.26),
+        libkf5plasmaquick5 (<< 5.26),
+        plasma-framework (<< 5.26)
 
 Package: libkf5declarative-data
 Architecture: all
@@ -81,9 +84,9 @@
          ${shlibs:Depends}
 Section: oldlibs
 Priority: extra
-Description: transitional package for qtdeclarative5-kf5declarative
- This is a transitional dummy package for qml-module-serviceframework
- which can be safely removed.
+Description: transitional package for new QML module packages
+ This is a transitional dummy package for the new QML module packages
+ provided by kf5declarative, which can be safely removed.
 
 Package: qml-module-org-kde-draganddrop
 Architecture: any
@@ -125,12 +128,12 @@
 Multi-arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          qml-module-qtquick-controls,
-         qml-module-qtquick-dialogs,
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
+Breaks: plasma-framework (<< 5.26),
+        qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
         qtdeclarative5-kf5declarative-5.0
 Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
           qtdeclarative5-kf5declarative-5.0
@@ -144,7 +147,8 @@
 Depends: libkf5declarative5 (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
+Breaks: plasma-framework (<< 5.26),
+        qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
         qtdeclarative5-kf5declarative-5.0
 Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
           qtdeclarative5-kf5declarative-5.0
@@ -170,29 +174,21 @@
  .
  This package contains the QML files used by libkf5declarative.
 
-Package: libkf5declarative5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5declarative5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kdeclarative
- Framework providing integration of QML and other KDE frameworks such as making
- i18n available and using kio.
- .
- Contains debug symbols for kdeclarative.
-
 Package: libkf5quickaddons5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Description: provides integration of QML and KDE frameworks
+Description: provides integration of QML and KDE frameworks -- quickaddons
  Framework providing optimized image texture caching.
+Breaks: libkf5kcmutils5 (<< 5.26),
+        libkf5plasmaquick5 (<< 5.26),
+        plasma-framework (<< 5.26)
 
 Package: libkf5calendarevents5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Description: provides integration of QML and KDE frameworks
+Description: provides integration of QML and KDE frameworks -- calendarevents
  Framework providing integration of QML and other KDE frameworks such
- as making i18n available and using kio.
+ as making i18n available and using kio
+Breaks: plasma-framework (<< 5.26)
